List Cases
Authorization
OAuth2AuthorizationCodeBearer AuthorizationBearer <token>
In: header
Path Parameters
suite_id*Suite Id
Format
uuidQuery Parameters
verify_locally?Verify Locally
Default
trueResponse Body
application/json
application/json
curl -X GET "https://example.com/v1/simulation-suites/497f6eca-6276-4993-bfeb-53cbbbba6f08/cases"[ { "name": "string", "persona": "string", "goal": "string", "opening_message": "string", "success_criterion": "string", "max_turns": 20, "tool_mocks": { "property1": [ { "when": {}, "result": null, "is_error": false } ], "property2": [ { "when": {}, "result": null, "is_error": false } ] }, "checks": [ { "type": "tool_called", "tool": "string", "args": {} } ], "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "suite_id": "3e9c08eb-436b-4d4b-9cfe-ca21d8bdb99b", "origin": "string", "origin_conversation_id": "4754211d-696b-46d6-8b2f-376fa5a2850c", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }]{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string" } ]}